summary refs log tree commit diff
path: root/pkgs/development/libraries/libdvdplay/builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/development/libraries/libdvdplay/builder.sh')
-rwxr-xr-xpkgs/development/libraries/libdvdplay/builder.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/pkgs/development/libraries/libdvdplay/builder.sh b/pkgs/development/libraries/libdvdplay/builder.sh
new file mode 100755
index 00000000000..6b2b5132304
--- /dev/null
+++ b/pkgs/development/libraries/libdvdplay/builder.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+buildinputs="$libdvdread"
+. $stdenv/setup || exit 1
+
+tar xvfj $src || exit 1
+cd libdvdplay-* || exit 1
+./configure --prefix=$out || exit 1
+make || exit 1
+make install || exit 1
+strip -S $out/lib/*.a || exit 1